
*,
*::before,
*::after {
    box-sizing: border-box;
}

:root {
    --ff-primary: 'Source Sans Pro', sans-serif;
    --ff-secondary: 'Source Code Pro' monospace;

    --fw-reg: 300;
    --fw-bold: 900;
    
    --clr-light: #ffffff;
    --clr-light-grey: #eeeeee;
    --clr-grey: #777777;
    --clr-dark: #303030;
    --clr-black: #111;
    --clr-accent: #4BF2F2;
    --clr-accent-dark: #20C0C0;
    --clr-blue-l: #0070D0;
    --clr-blue-d: #003869;
    
    --fs-h1: 4.5rem;
    --fs-h2: 3.75rem;
    --fs-h3: 2.5rem;
    --fs-body: 1.125rem;
    --fs-small: 0.8rem;
}

@media (max-width: 1100px) {
    :root {
	--fs-h1: 6rem;
	--fs-h2: 4.5rem;
	--fs-h3: 2.5rem;
	--fs-body: 2rem;
	--fs-small: 1.4rem;
    }
}

html,
body {
    height: 100%;
    overflow-x: hidden;
    scroll-behavior: smooth;
    margin: 0;
}

body {
    padding-top: 5em;
    color: var(--clr-dark);
    font-family: var(--ff-primary);
    font-size: var(--fs-body);
    background: var(--clr-light);
}

h1 { font-size: var(--fs-h1); }
h2 { font-size: var(--fs-h2); }
h3 { font-size: var(--fs-h3); }

a {
    color: darkcyan;
    text-decoration: none;
}
a:hover {
    opacity: 50%;
}

.container {
    display: flex;
    flex-wrap: wrap;
    width: calc(min(90%,75em));
    margin: auto;
    justify-content: center;
}

.game-card {
    display: flex;
    flex-direction: column;
    align-items: center;
    border-radius: 1em;
    border: solid;
    box-shadow: 10px 10px 5px grey;
    padding: 1em;
    margin: 1em;
}

.game-card:hover {
    cursor: pointer;
}

.game-title {
    text-align: center;
    margin-bottom: 0.5em;
}

.game-tags {
    display: flex;
    width: 100%;
    justify-content: center;
    margin-bottom: 1em;
}

.game-demo {
    width: 20em;
    margin-top: auto;
    margin-bottom: auto;
}

.tag {
    background-color: var(--clr-accent-dark);
    border-radius: 1em;
    color: white;
    margin: 2px;
    padding: 0.2em 0.6em;
}

#main-title,
#subtitle {
    text-align: center;
    margin-bottom: 0.2em;
}
